### Method

# Gio BufferedInputStream peek_buffer

#### Declaration

    void*
    g_buffered_input_stream_peek_buffer (
      GBufferedInputStream* stream,
      gsize* count
    )

#### Description

Returns the buffer with the currently available bytes. The returned buffer must not be modified and will become invalid when reading from the stream or filling the buffer.

#### Parameters

`count`

  Type: `gsize*`

  A #gsize to get the number of bytes available in the buffer.

  The argument will be set by the function.

#### Return value

Type: An array of `guint8`

         read-only buffer.

The length of the array is in the `count` argument.
The data is owned by the instance.